Index: /Dev/trunk/client/qed/model/widgets/QuestionWidgetFactory.js
===================================================================
--- /Dev/trunk/client/qed/model/widgets/QuestionWidgetFactory.js	(revision 434)
+++ /Dev/trunk/client/qed/model/widgets/QuestionWidgetFactory.js	(revision 435)
@@ -1,25 +1,27 @@
 define([
-    'dojo/_base/array',
-    'dojo/_base/declare',
-    'dojo/_base/lang', 
-    'dojo/dom-construct', 
-    'dijit/_TemplatedMixin',
-    'dijit/_WidgetBase',
-    'dijit/_Container',
-    'dijit/form/Button',
-    'dijit/form/CheckBox',
-    'dijit/form/Form',
-    'dijit/form/NumberSpinner',
-    'dijit/form/RadioButton',
-    'dijit/form/Textarea',
-    'dijit/form/TextBox',
-    'dojox/layout/TableContainer',
-    '../../widgets/list/_EditableListMixin',
-    '../../widgets/list/OrderedList'
-],function(array, declare, lang, domConstruct, _TemplatedMixin, _WidgetBase, _Container, Button, CheckBox, Form, NumberSpinner, RadioButton, Textarea, TextBox, TableContainer, _EditableListMixin, OrderedList) {
+    "../../widgets/list/OrderedList",
+    "../../widgets/list/_EditableListMixin",
+    "./ScaleInputConfigWidget",
+    "./ScaleInputWidget",
+    "dijit/_Container",
+    "dijit/_TemplatedMixin",
+    "dijit/_WidgetBase",
+    "dijit/form/Button",
+    "dijit/form/CheckBox",
+    "dijit/form/Form",
+    "dijit/form/NumberSpinner",
+    "dijit/form/RadioButton",
+    "dijit/form/TextBox",
+    "dijit/form/Textarea",
+    "dojo/_base/array",
+    "dojo/_base/declare",
+    "dojo/_base/lang",
+    "dojo/dom-construct",
+    "dojox/layout/TableContainer"
+], function(OrderedList, _EditableListMixin, ScaleInputConfigWidget, ScaleInputWidget, _Container, _TemplatedMixin, _WidgetBase, Button, CheckBox, Form, NumberSpinner, RadioButton, TextBox, Textarea, array, declare, lang, domConstruct, TableContainer) {
     var factory = declare(null, {
         createViewWidget: function(/*Object*/options) {
             // options: Object
-            //            type: "header", "text", textinput, etc.
+            //            type: "Header", "Text", "TextInput", etc.
             //            other type specific fields
             var fun = this['create'+options.type+'ViewWidget'];
@@ -94,4 +96,13 @@
         createMultipleChoiceInputEditWidget: function() {
             return new MultipleChoiceInputEdit();
+        },
+
+        createScaleInputViewWidget: function(options) {
+            return new ScaleInputWidget(options);
+        },
+        createScaleInputEditWidget: function(options) {
+            return new ScaleInputConfigWidget({
+                value: options || {}
+            });
         }
     });
Index: v/trunk/client/qed/model/widgets/ScaleConfigWidget.js
===================================================================
--- /Dev/trunk/client/qed/model/widgets/ScaleConfigWidget.js	(revision 434)
+++ 	(revision )
@@ -1,96 +1,0 @@
-define([
-    "dijit/_Container",
-    "dijit/_TemplatedMixin",
-    "dijit/_WidgetBase",
-    "dijit/_WidgetsInTemplateMixin",
-    "dijit/form/Button",
-    "dijit/form/RadioButton",
-    "dijit/form/TextBox",
-    "dijit/form/ValidationTextBox",
-    "dijit/form/_FormMixin",
-    "dojo/_base/array",
-    "dojo/_base/declare",
-    "dojo/_base/event",
-    "dojo/_base/lang",
-    "dojo/dom-attr",
-    "dojo/dom-construct",
-    "dojo/dom-style",
-    "dojo/text!./templates/ScaleConfigRowWidget.html",
-    "dojo/text!./templates/ScaleConfigWidget.html",
-    "dijit/form/NumberTextBox",
-    "dijit/form/TextBox"
-], function(_Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, Button, RadioButton, TextBox, ValidationTextBox, _FormMixin, array, declare, event, lang, domAttr, domConstruct, domStyle, rowTemplate, template) {
-
-    var Row = declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container,_FormMixin],{
-        templateString: rowTemplate,
-        hasNA: true,
-        startup: function() {
-            if ( this._started ) { return; }
-            this.inherited(arguments);
-        },
-        onDestroy: function(e) {
-            this.destroyRecursive();
-            event.stop(e);
-            return false;
-        },
-        _setHasNAAttr: function(value) {
-            if ( value === true ) {
-                domStyle.set(this.naRadioButton.domNode, "display", "");
-            } else {
-                domStyle.set(this.naRadioButton.domNode, "display", "none");
-            }
-        }
-    });
-    
-    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container,_FormMixin],{
-        templateString: template,
-        baseClass: "qedScaleWidget",
-        value: null,
-        _hasNA: false,
-        constuctor: function() {
-            this.inherited(arguments);
-            this.items = [];
-            this.value = {};
-        },
-        onAddItem: function(e) {
-            this._addItem();
-            event.stop(e);
-            return false;
-        },
-        _clearItems: function() {
-            domConstruct.empty(this.itemsNode);
-        },
-        _addItem: function(value) {
-            var item = new Row({
-                name: 'items',
-                value: value,
-                hasNA: this._hasNA
-            });
-            item.placeAt(this.itemsNode);
-            return item;
-        },
-        _setValueAttr: function(value) {
-            this.inherited(arguments);
-            this._clearItems();
-            array.forEach(value.items, function(value){
-                this._addItem(value);
-            }, this);
-        },
-        _getValueAttr: function(){
-            var value = this.inherited(arguments);
-            if ( value.items && !lang.isArray(value.items) ) {
-                value.items = [value.items];
-            }
-            return value;
-        },
-        onNAChange: function(value) {
-            this._hasNA = value !== null && value !== "";
-            this._updateNA();
-        },
-        _updateNA: function(value) {
-            array.forEach(this.getChildren(), function(child) {
-                child.set('hasNA', this._hasNA);
-            }, this);
-        }
-    });
-});
Index: /Dev/trunk/client/qed/model/widgets/ScaleInputConfigWidget.js
===================================================================
--- /Dev/trunk/client/qed/model/widgets/ScaleInputConfigWidget.js	(revision 435)
+++ /Dev/trunk/client/qed/model/widgets/ScaleInputConfigWidget.js	(revision 435)
@@ -0,0 +1,96 @@
+define([
+    "dijit/_Container",
+    "dijit/_TemplatedMixin",
+    "dijit/_WidgetBase",
+    "dijit/_WidgetsInTemplateMixin",
+    "dijit/form/Button",
+    "dijit/form/RadioButton",
+    "dijit/form/TextBox",
+    "dijit/form/ValidationTextBox",
+    "dijit/form/_FormMixin",
+    "dojo/_base/array",
+    "dojo/_base/declare",
+    "dojo/_base/event",
+    "dojo/_base/lang",
+    "dojo/dom-attr",
+    "dojo/dom-construct",
+    "dojo/dom-style",
+    "dojo/text!./templates/ScaleInputConfigRowWidget.html",
+    "dojo/text!./templates/ScaleInputConfigWidget.html",
+    "dijit/form/NumberTextBox",
+    "dijit/form/TextBox"
+], function(_Container, _TemplatedMixin, _WidgetBase, _WidgetsInTemplateMixin, Button, RadioButton, TextBox, ValidationTextBox, _FormMixin, array, declare, event, lang, domAttr, domConstruct, domStyle, rowTemplate, template) {
+
+    var Row = declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container,_FormMixin],{
+        templateString: rowTemplate,
+        hasNA: true,
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+        },
+        onDestroy: function(e) {
+            this.destroyRecursive();
+            event.stop(e);
+            return false;
+        },
+        _setHasNAAttr: function(value) {
+            if ( value === true ) {
+                domStyle.set(this.naRadioButton.domNode, "display", "");
+            } else {
+                domStyle.set(this.naRadioButton.domNode, "display", "none");
+            }
+        }
+    });
+    
+    return declare([_WidgetBase,_TemplatedMixin,_WidgetsInTemplateMixin,_Container,_FormMixin],{
+        templateString: template,
+        baseClass: "qedScaleWidget",
+        value: null,
+        _hasNA: false,
+        constuctor: function() {
+            this.inherited(arguments);
+            this.value = {};
+        },
+        onAddItem: function(e) {
+            this._addItem();
+            event.stop(e);
+            return false;
+        },
+        _clearItems: function() {
+            domConstruct.empty(this.itemsNode);
+        },
+        _addItem: function(value) {
+            var item = new Row({
+                name: 'items',
+                value: value,
+                hasNA: this._hasNA
+            });
+            item.placeAt(this.itemsNode);
+            return item;
+        },
+        _setValueAttr: function(value) {
+            this.inherited(arguments);
+            this._clearItems();
+            array.forEach(value.items, function(value){
+                this._addItem(value);
+            }, this);
+        },
+        _getValueAttr: function(){
+            var value = this.inherited(arguments);
+            if ( value.items && !lang.isArray(value.items) ) {
+                value.items = [value.items];
+            }
+            value.type = 'ScaleInput';
+            return value;
+        },
+        onNAChange: function(value) {
+            this._hasNA = value !== null && value !== "";
+            this._updateNA();
+        },
+        _updateNA: function(value) {
+            array.forEach(this.getChildren(), function(child) {
+                child.set('hasNA', this._hasNA);
+            }, this);
+        }
+    });
+});
Index: /Dev/trunk/client/qed/model/widgets/ScaleInputWidget.js
===================================================================
--- /Dev/trunk/client/qed/model/widgets/ScaleInputWidget.js	(revision 435)
+++ /Dev/trunk/client/qed/model/widgets/ScaleInputWidget.js	(revision 435)
@@ -0,0 +1,82 @@
+define([
+    "dijit/_Container",
+    "dijit/_TemplatedMixin",
+    "dijit/_WidgetBase",
+    "dijit/form/RadioButton",
+    "dijit/form/_FormMixin",
+    "dojo/_base/array",
+    "dojo/_base/declare",
+    "dojo/_base/lang",
+    "dojo/dom-attr",
+    "dojo/dom-construct",
+    "dojo/text!./templates/ScaleInputWidget.html"
+], function(_Container, _TemplatedMixin, _WidgetBase, RadioButton, _FormMixin, array, declare, lang, domAttr, domConstruct, template) {
+    return declare([_WidgetBase,_TemplatedMixin,_Container,_FormMixin],{
+        templateString: template,
+        baseClass: "qedScaleWidget",
+        min: 0,
+        max: 0,
+        minLabel: "",
+        maxLabel: "",
+        naLabel: null,
+        items: null,
+        value: null,
+        constuctor: function() {
+            this.items = [];
+            this.value = {};
+        },
+        startup: function() {
+            if ( this._started ) { return; }
+            this.inherited(arguments);
+            this._renderHead();
+            this._renderItems();
+        },
+        _renderHead: function() {
+            this.minNode.innerHTML = this.minLabel || "";
+            this.maxNode.innerHTML = this.maxLabel || "";
+            if ( this.naLabel !== null ) {
+                this.naNode.innerHTML = this.naLabel;
+            }
+            for (var i = this.min; i <= this.max; i++) {
+                domConstruct.create("th", {
+                    innerHTML: i.toString()
+                }, this.minNode, "after");
+            }
+        },
+        _renderItems: function() {
+            array.forEach(this.items, function(item,index) {
+                var tr = domConstruct.create("tr", {}, this.itemsNode);
+                var td;
+                var radio;
+                domConstruct.create("th", {
+                    innerHTML: item.text || "",
+                    'class': "item"
+                }, tr);
+                domConstruct.create("th", {
+                    innerHTML: item.minLabel || "",
+                    'class': 'min'
+                }, tr);
+                for (var i = this.min; i <= this.max; i++) {
+                    td = domConstruct.create("td", {}, tr);
+                    radio = new RadioButton({
+                        name: index.toString(),
+                        value: i.toString()
+                    });
+                    domConstruct.place(radio.domNode, td); 
+                }
+                domConstruct.create("th", {
+                    innerHTML: item.maxLabel || "",
+                    className: 'max'
+                }, tr);
+                if ( this.naLabel !== null ) {
+                    td = domConstruct.create("td", {}, tr);
+                    radio = new RadioButton({
+                        name: index.toString(),
+                        value: "n/a"
+                    });
+                    domConstruct.place(radio.domNode, td); 
+                }
+            }, this);
+        }
+    });
+});
Index: v/trunk/client/qed/model/widgets/ScaleWidget.js
===================================================================
--- /Dev/trunk/client/qed/model/widgets/ScaleWidget.js	(revision 434)
+++ 	(revision )
@@ -1,82 +1,0 @@
-define([
-    "dijit/_Container",
-    "dijit/_TemplatedMixin",
-    "dijit/_WidgetBase",
-    "dijit/form/RadioButton",
-    "dijit/form/_FormMixin",
-    "dojo/_base/array",
-    "dojo/_base/declare",
-    "dojo/_base/lang",
-    "dojo/dom-attr",
-    "dojo/dom-construct",
-    "dojo/text!./templates/ScaleWidget.html"
-], function(_Container, _TemplatedMixin, _WidgetBase, RadioButton, _FormMixin, array, declare, lang, domAttr, domConstruct, template) {
-    return declare([_WidgetBase,_TemplatedMixin,_Container,_FormMixin],{
-        templateString: template,
-        baseClass: "qedScaleWidget",
-        min: 0,
-        max: 0,
-        minLabel: "",
-        maxLabel: "",
-        naLabel: null,
-        items: null,
-        value: null,
-        constuctor: function() {
-            this.items = [];
-            this.value = {};
-        },
-        startup: function() {
-            if ( this._started ) { return; }
-            this.inherited(arguments);
-            this._renderHead();
-            this._renderItems();
-        },
-        _renderHead: function() {
-            this.minNode.innerHTML = this.minLabel || "";
-            this.maxNode.innerHTML = this.maxLabel || "";
-            if ( this.naLabel !== null ) {
-                this.naNode.innerHTML = this.naLabel;
-            }
-            for (var i = this.min; i <= this.max; i++) {
-                domConstruct.create("th", {
-                    innerHTML: i.toString()
-                }, this.minNode, "after");
-            }
-        },
-        _renderItems: function() {
-            array.forEach(this.items, function(item,index) {
-                var tr = domConstruct.create("tr", {}, this.itemsNode);
-                var td;
-                var radio;
-                domConstruct.create("th", {
-                    innerHTML: item.text || "",
-                    'class': "item"
-                }, tr);
-                domConstruct.create("th", {
-                    innerHTML: item.minLabel || "",
-                    'class': 'min'
-                }, tr);
-                for (var i = this.min; i <= this.max; i++) {
-                    td = domConstruct.create("td", {}, tr);
-                    radio = new RadioButton({
-                        name: index.toString(),
-                        value: i.toString()
-                    });
-                    domConstruct.place(radio.domNode, td); 
-                }
-                domConstruct.create("th", {
-                    innerHTML: item.maxLabel || "",
-                    className: 'max'
-                }, tr);
-                if ( this.naLabel !== null ) {
-                    td = domConstruct.create("td", {}, tr);
-                    radio = new RadioButton({
-                        name: index.toString(),
-                        value: "n/a"
-                    });
-                    domConstruct.place(radio.domNode, td); 
-                }
-            }, this);
-        }
-    });
-});
Index: v/trunk/client/qed/model/widgets/templates/ScaleConfigRowWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleConfigRowWidget.html	(revision 434)
+++ 	(revision )
@@ -1,38 +1,0 @@
-<tr>
-  <th class="item">
-    <div name="text"
-         required="required"
-         data-dojo-type="dijit/form/ValidationTextBox"
-         data-dojo-props="placeholder: 'Item/Question text'"></div>
-  </th>
-  <th class="min">
-    <div name="minLabel"
-         required="required"
-         data-dojo-type="dijit/form/TextBox"
-         data-dojo-props="placeholder: 'Minimum label'"></div>
-  </th>
-  <td>
-    <div disabled="disabled"
-         data-dojo-type="dijit/form/RadioButton"></div>
-  </td>
-  <td>...</td>
-  <td>
-    <div disabled="disabled"
-         data-dojo-type="dijit/form/RadioButton"></div>
-  </td>
-  <th class="max">
-    <div name="maxLabel"
-         required="required"
-         data-dojo-type="dijit/form/TextBox"
-         data-dojo-props="placeholder: 'Maximum label'"></div>
-  </th>
-  <td class="na">
-    <div disabled="disabled"
-         data-dojo-attach-point="naRadioButton"
-         data-dojo-type="dijit/form/RadioButton"></div>
-  </td>
-  <th>
-    <button data-dojo-type="dijit/form/Button"
-            data-dojo-attach-event="onClick:onDestroy">X</button>
-  </th>
-</tr>
Index: v/trunk/client/qed/model/widgets/templates/ScaleConfigWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleConfigWidget.html	(revision 434)
+++ 	(revision )
@@ -1,48 +1,0 @@
-<div class="${baseClass}">
-  <table>
-    <thead>
-      <tr>
-        <th class="item"></th>
-        <th data-dojo-attach-point="minLabelNode"
-            class="min">
-          <div name="minLabel"
-               data-dojo-type="dijit/form/TextBox"
-               data-dojo-props="placeholder: 'Minimum label'"></div>
-        </th>
-        <th data-dojo-attach-point="minNode">
-          <div name="min"
-               data-dojo-type="dijit/form/NumberTextBox"
-               data-dojo-props="required: true, placeholder: 'Minimum value'"></div>
-        </th>
-        <th>...</th>
-        <th data-dojo-attach-point="maxNode">
-          <div name="max"
-               data-dojo-type="dijit/form/NumberTextBox"
-               data-dojo-props="required: true, placeholder: 'Maximum value'"></div>
-        </th>
-        <th data-dojo-attach-point="maxLabelNode" class="max">
-          <div name="maxLabel"
-               data-dojo-type="dijit/form/TextBox"
-               data-dojo-props="placeholder: 'Maximum label'"></div>
-        </th>
-        <th class="na">
-          <div name="naLabel"
-               data-dojo-attach-point="naTextBox"
-               data-dojo-attach-event="onChange: onNAChange"
-               data-dojo-type="dijit/form/TextBox"
-               data-dojo-props="placeholder: 'N/A label', intermediateChanges: true"></div>
-        </th>
-      </tr>
-    </thead>
-    <tbody data-dojo-attach-point="itemsNode">
-    </tbody>
-    <tbody>
-      <tr>
-        <td class="item">
-          <button data-dojo-type="dijit/form/Button"
-                  data-dojo-attach-event="onClick:onAddItem">Click to add item</button>
-        </td>
-      </tr>
-    </tbody>
-  </table>
-</div>
Index: /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigRowWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigRowWidget.html	(revision 435)
+++ /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigRowWidget.html	(revision 435)
@@ -0,0 +1,38 @@
+<tr>
+  <th class="item">
+    <div name="text"
+         required="required"
+         data-dojo-type="dijit/form/ValidationTextBox"
+         data-dojo-props="placeholder: 'Item/Question text'"></div>
+  </th>
+  <th class="min">
+    <div name="minLabel"
+         required="required"
+         data-dojo-type="dijit/form/TextBox"
+         data-dojo-props="placeholder: 'Minimum label'"></div>
+  </th>
+  <td>
+    <div disabled="disabled"
+         data-dojo-type="dijit/form/RadioButton"></div>
+  </td>
+  <td>...</td>
+  <td>
+    <div disabled="disabled"
+         data-dojo-type="dijit/form/RadioButton"></div>
+  </td>
+  <th class="max">
+    <div name="maxLabel"
+         required="required"
+         data-dojo-type="dijit/form/TextBox"
+         data-dojo-props="placeholder: 'Maximum label'"></div>
+  </th>
+  <td class="na">
+    <div disabled="disabled"
+         data-dojo-attach-point="naRadioButton"
+         data-dojo-type="dijit/form/RadioButton"></div>
+  </td>
+  <th>
+    <button data-dojo-type="dijit/form/Button"
+            data-dojo-attach-event="onClick:onDestroy">X</button>
+  </th>
+</tr>
Index: /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigWidget.html	(revision 435)
+++ /Dev/trunk/client/qed/model/widgets/templates/ScaleInputConfigWidget.html	(revision 435)
@@ -0,0 +1,48 @@
+<div class="${baseClass}">
+  <table>
+    <thead>
+      <tr>
+        <th class="item"></th>
+        <th data-dojo-attach-point="minLabelNode"
+            class="min">
+          <div name="minLabel"
+               data-dojo-type="dijit/form/TextBox"
+               data-dojo-props="placeholder: 'Minimum label'"></div>
+        </th>
+        <th data-dojo-attach-point="minNode">
+          <div name="min"
+               data-dojo-type="dijit/form/NumberTextBox"
+               data-dojo-props="required: true, placeholder: 'Minimum value'"></div>
+        </th>
+        <th>...</th>
+        <th data-dojo-attach-point="maxNode">
+          <div name="max"
+               data-dojo-type="dijit/form/NumberTextBox"
+               data-dojo-props="required: true, placeholder: 'Maximum value'"></div>
+        </th>
+        <th data-dojo-attach-point="maxLabelNode" class="max">
+          <div name="maxLabel"
+               data-dojo-type="dijit/form/TextBox"
+               data-dojo-props="placeholder: 'Maximum label'"></div>
+        </th>
+        <th class="na">
+          <div name="naLabel"
+               data-dojo-attach-point="naTextBox"
+               data-dojo-attach-event="onChange: onNAChange"
+               data-dojo-type="dijit/form/TextBox"
+               data-dojo-props="placeholder: 'N/A label', intermediateChanges: true"></div>
+        </th>
+      </tr>
+    </thead>
+    <tbody data-dojo-attach-point="itemsNode">
+    </tbody>
+    <tbody>
+      <tr>
+        <td class="item">
+          <button data-dojo-type="dijit/form/Button"
+                  data-dojo-attach-event="onClick:onAddItem">Click to add item</button>
+        </td>
+      </tr>
+    </tbody>
+  </table>
+</div>
Index: /Dev/trunk/client/qed/model/widgets/templates/ScaleInputWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleInputWidget.html	(revision 435)
+++ /Dev/trunk/client/qed/model/widgets/templates/ScaleInputWidget.html	(revision 435)
@@ -0,0 +1,14 @@
+<div class="${baseClass}">
+  <table>
+    <thead>
+      <tr>
+        <th class="item"></th>
+        <th data-dojo-attach-point="minNode" class="min"></th>
+        <th data-dojo-attach-point="maxNode" class="max"></th>
+        <th class="na" data-dojo-attach-point="naNode"></th>
+      </tr>
+    </thead>
+    <tbody data-dojo-attach-point="itemsNode">
+    </tbody>
+  </table>
+</div>
Index: v/trunk/client/qed/model/widgets/templates/ScaleWidget.html
===================================================================
--- /Dev/trunk/client/qed/model/widgets/templates/ScaleWidget.html	(revision 434)
+++ 	(revision )
@@ -1,14 +1,0 @@
-<div class="${baseClass}">
-  <table>
-    <thead>
-      <tr>
-        <th class="item"></th>
-        <th data-dojo-attach-point="minNode" class="min"></th>
-        <th data-dojo-attach-point="maxNode" class="max"></th>
-        <th class="na" data-dojo-attach-point="naNode"></th>
-      </tr>
-    </thead>
-    <tbody data-dojo-attach-point="itemsNode">
-    </tbody>
-  </table>
-</div>
Index: /Dev/trunk/client/qed/tests/test_ScaleWidget.html
===================================================================
--- /Dev/trunk/client/qed/tests/test_ScaleWidget.html	(revision 434)
+++ /Dev/trunk/client/qed/tests/test_ScaleWidget.html	(revision 435)
@@ -14,8 +14,8 @@
           'dojo/when',
           'dojo/parser',
-          'qed/model/widgets/ScaleConfigWidget',
-          'qed/model/widgets/ScaleWidget',
+          'qed/model/widgets/ScaleInputConfigWidget',
+          'qed/model/widgets/ScaleInputWidget',
           'dojo/domReady!'
-      ], function(registry,dom,when,parser,ScaleConfigWidget,ScaleWidget){
+      ], function(registry,dom,when,parser,ScaleInputConfigWidget,ScaleInputWidget){
         when(parser.parse()).then(function(){
 
@@ -31,5 +31,5 @@
                 configNode.innerHTML = JSON.stringify(config);
                 widgetNode.innerHTML = '';
-                widget = new ScaleWidget(config)
+                widget = new ScaleInputWidget(config)
                 widget.startup();
                 widget.placeAt(widgetNode);
@@ -73,5 +73,5 @@
       <div>
         <div id="configWidget"
-             data-dojo-type="qed/model/widgets/ScaleConfigWidget"></div>
+             data-dojo-type="qed/model/widgets/ScaleInputConfigWidget"></div>
         <button id="defaultConfigButton"
                 data-dojo-type="dijit/form/Button">Set Example</button>