Index: /Dev/trunk/client/qed/css/qed.css
===================================================================
--- /Dev/trunk/client/qed/css/qed.css	(revision 436)
+++ /Dev/trunk/client/qed/css/qed.css	(revision 437)
@@ -1407,7 +1407,8 @@
   margin-right: 16px;
   height: 24px;
-}
-/* line 9, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\000039}}
+  padding: 3px;
+}
+/* line 10, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000310}}
 #rft.claro .rftLargeButton*,
 #rft.claro .rftLargeButton * {
@@ -1417,6 +1418,6 @@
   user-select: none;
 }
-/* line 16, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000316}}
+/* line 17, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000317}}
 #rft.claro .rftLargeButton .dijitButtonNode {
   background-image: none;
@@ -1435,6 +1436,6 @@
   transition: all 0.3s;
 }
-/* line 26, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000326}}
+/* line 27, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000327}}
 #rft.claro .rftLargeButton .dijitButtonNode .rftIcon {
   width: 24px;
@@ -1444,13 +1445,14 @@
   background-image: url('images/icons/rftIcons24.png');
 }
-/* line 30, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000330}}
+/* line 31, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000331}}
 #rft.claro .rftLargeButton .dijitButtonNode .dijitButtonText {
   line-height: 24px;
-  margin: 0 0 0 0;
+  margin: 0 0 0 24px;
   padding-left: 8px;
-}
-/* line 37, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000337}}
+  display: block;
+}
+/* line 39, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000339}}
 #rft.claro .rftLargeButton.black .dijitButtonNode .rftIcon {
   width: 24px;
@@ -1460,6 +1462,6 @@
   background-image: url('images/icons/rftIcons24b.png');
 }
-/* line 41, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000341}}
+/* line 43, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000343}}
 #rft.claro .rftLargeButton.rftLargeButtonHover .dijitButtonNode,
 #rft.claro .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
@@ -1470,30 +1472,30 @@
   transition: all 0.1s;
 }
-/* line 48, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000348}}
+/* line 50, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000350}}
 #rft.claro span.blue.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .blue .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
   color: #0794d1;
 }
-/* line 52, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000352}}
+/* line 54, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000354}}
 #rft.claro span.orange.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .orange .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
   color: #ff9140;
 }
-/* line 56, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000356}}
+/* line 58, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000358}}
 #rft.claro span.green.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .green .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
   color: #63c400;
 }
-/* line 60, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000360}}
+/* line 62, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000362}}
 #rft.claro span.red.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .red .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
   color: #bd0013;
 }
-/* line 64, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000364}}
+/* line 66, /home/hendrik/gamelab/qed.svn/Dev/trunk/client/qed/css/widgets/LargeButton.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/client\/qed\/css\/widgets\/LargeButton\.less}line{font-family:\0000366}}
 #rft.claro span.purple.rftLargeButton.rftLargeButtonActive .dijitButtonNode,
 #rft.claro .purple .rftLargeButton.rftLargeButtonActive .dijitButtonNode {
Index: /Dev/trunk/client/qed/css/widgets/LargeButton.less
===================================================================
--- /Dev/trunk/client/qed/css/widgets/LargeButton.less	(revision 436)
+++ /Dev/trunk/client/qed/css/widgets/LargeButton.less	(revision 437)
@@ -6,4 +6,5 @@
         margin-right: @button_large_spacing;
         height: @button_large_height;
+        padding: 3px;
 
         &*, * {
@@ -30,6 +31,7 @@
             .dijitButtonText {
                 line-height: @button_large_height;
-                .noMargin;
+                margin: 0 0 0 @button_large_height;
                 padding-left: @std_offset_big;
+                display: block;
             }
         }