Index: Dev/trunk/client/qed/css/model/widgets/QuestionEditor.less
===================================================================
--- Dev/trunk/client/qed/css/model/widgets/QuestionEditor.less	(revision 439)
+++ Dev/trunk/client/qed/css/model/widgets/QuestionEditor.less	(revision 439)
@@ -0,0 +1,5 @@
+#rft.claro {
+    .qedQuestionEditorPreviewItem {
+        overflow: hidden;
+    }
+}
Index: Dev/trunk/client/qed/model/widgets/QuestionEditorPreviewItem.js
===================================================================
--- Dev/trunk/client/qed/model/widgets/QuestionEditorPreviewItem.js	(revision 438)
+++ Dev/trunk/client/qed/model/widgets/QuestionEditorPreviewItem.js	(revision 439)
@@ -27,9 +27,9 @@
             if ( this._started ){ return; }
             this.inherited(arguments);
-            this.own(on(this.foldButtonNode,'click',
+            this.own(this.foldButton.on('click',
                         lang.hitch(this, 'onToggleFold')));
-            this.own(on(this.removeButtonNode,'click',
+            this.own(this.removeButton.on('click',
                         lang.hitch(this, 'onClose')));
-            this.own(on(this.editButtonNode,'click',
+            this.own(this.editButton.on('click',
                         lang.hitch(this, 'onToggleEdit')));
             if (this.value) {
@@ -76,6 +76,6 @@
             }
             this.titleNode.innerHTML = this.value.type+" [preview]";
-            this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconAccept", "rftIconEdit");
-            this.editButtonNode.set("label", "Edit");
+            domClass.replace(this.editButton.iconNode, "rftIconEdit", "rftIconAccept");
+            this.editButton.set("label", "Edit");
             this._editing = false;
         },
@@ -88,6 +88,6 @@
             }
             this.titleNode.innerHTML = this.value.type+" [editing]";
-            this.editButtonNode.iconNode.className = this.editButtonNode.iconNode.className.replace("rftIconEdit", "rftIconAccept");
-            this.editButtonNode.set("label", "Done");
+            domClass.replace(this.editButton.iconNode, "rftIconAccept", "rftIconEdit");
+            this.editButton.set("label", "Done");
             this._editing = true;
         },
@@ -112,5 +112,5 @@
                         })
                     }).play();
-                    this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowUp", "rftIconHalfArrowDown");
+                    domClass.replace(this.foldButton.iconNode, "rftIconHalfArrowDown", "rftIconHalfArrowUp");
                 } else {
                     this.animation = fx.animateProperty({
@@ -125,5 +125,5 @@
                         })
                     }).play();
-                    this.foldButtonNode.iconNode.className = this.foldButtonNode.iconNode.className.replace("rftIconHalfArrowDown", "rftIconHalfArrowUp");
+                    domClass.replace(this.foldButton.iconNode, "rftIconHalfArrowUp", "rftIconHalfArrowDown");
                 }
             }
Index: Dev/trunk/client/qed/model/widgets/templates/QuestionEditorPreviewItem.html
===================================================================
--- Dev/trunk/client/qed/model/widgets/templates/QuestionEditorPreviewItem.html	(revision 438)
+++ Dev/trunk/client/qed/model/widgets/templates/QuestionEditorPreviewItem.html	(revision 439)
@@ -3,7 +3,7 @@
 		<span class="title" data-dojo-attach-point="titleNode">Default title</span>
 		<span class="floatRight" data-dojo-attach-point="buttonsNode">
-			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="editButtonNode" data-dojo-props="baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconEdit'">Edit</button>
-			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="foldButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconHalfArrowUp'">Fold</button>
-			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="removeButtonNode" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconDelete'">Remove</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="editButton" data-dojo-props="baseClass: 'rftBlockButton', iconClass: 'rftIcon rftIconEdit'">Edit</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="foldButton" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconHalfArrowUp'">Fold</button>
+			<button class="trans bg inheritBgColor" data-dojo-type="dijit/form/Button" data-dojo-attach-point="removeButton" data-dojo-props="baseClass: 'rftBlockButton', showLabel: false, iconClass: 'rftIcon rftIconDelete'">Remove</button>
 		</span>
 	</div>