Index: /Dev/trunk/src/qed-client/css/dijit/overrides.less
===================================================================
--- /Dev/trunk/src/qed-client/css/dijit/overrides.less	(revision 446)
+++ /Dev/trunk/src/qed-client/css/dijit/overrides.less	(revision 447)
@@ -3,4 +3,7 @@
 */
 
+.claro .dijitDialogPaneContent {
+    background-color: @base;
+}
 
 /* Menu.css */
@@ -108,4 +111,8 @@
 }
 
+.claro .dojoDndAvatar {
+    color: #000000;
+}
+
 .claro .dojoDndItemAnchor {
     background-color: #000000;
Index: /Dev/trunk/src/qed-client/css/fonts.less
===================================================================
--- /Dev/trunk/src/qed-client/css/fonts.less	(revision 446)
+++ /Dev/trunk/src/qed-client/css/fonts.less	(revision 447)
@@ -2,5 +2,5 @@
     font-family: @font;
     font-size: @font_size;
-    color: @darkest;
+    color: @text;
 
     a {
Index: /Dev/trunk/src/qed-client/css/qed.css
===================================================================
--- /Dev/trunk/src/qed-client/css/qed.css	(revision 446)
+++ /Dev/trunk/src/qed-client/css/qed.css	(revision 447)
@@ -193,7 +193,12 @@
  * These changes should be moved to relevant stylesheets as soon as possible!
 */
+/* line 5, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\000035}}
+.claro .dijitDialogPaneContent {
+  background-color: #333333;
+}
 /* Menu.css */
-/* line 7, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\000037}}
+/* line 10, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000310}}
 .claro .topbar .dijitMenuitem {
   width: 90px;
@@ -202,6 +207,6 @@
   text-align: center;
 }
-/* line 13, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000313}}
+/* line 16, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000316}}
 .claro .dijitMenuPassive .dijitMenuItemHover,
 .claro .dijitMenuPassive .dijitMenuItemSelected {
@@ -211,18 +216,18 @@
   padding: 0 4px;
 }
-/* line 19, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000319}}
+/* line 22, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000322}}
 .claro .dijitMenuPassive .dijitMenuItemActive {
   background-position: top;
 }
 /* layout/BorderContainer.css */
-/* line 24, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000324}}
+/* line 27, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000327}}
 .claro .dijitSplitContainer-child,
 .claro .dijitBorderContainer-child {
   border: none;
 }
-/* line 27, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000327}}
+/* line 30, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000330}}
 .claro .dijitTabContainerTop-dijitContentPane,
 .claro .dijitTabContainerLeft-dijitContentPane,
@@ -232,6 +237,6 @@
   background-color: transparent;
 }
-/* line 34, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000334}}
+/* line 37, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000337}}
 .claro .dijitSplitContainer-dijitContentPane,
 .claro .dijitBorderContainer-dijitContentPane {
@@ -239,11 +244,11 @@
 }
 /* layout/TabContainer.css */
-/* line 40, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000340}}
+/* line 43, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000343}}
 .claro .dijitTabPaneWrapper {
   background: transparent;
 }
-/* line 43, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000343}}
+/* line 46, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000346}}
 .claro .dijitTabInnerDiv {
   background-color: transparent;
@@ -251,43 +256,43 @@
   border: none;
 }
-/* line 48, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000348}}
-.claro .dijitTabContent {
-  border: none;
-}
 /* line 51, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
 @media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000351}}
+.claro .dijitTabContent {
+  border: none;
+}
+/* line 54, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000354}}
 .claro .dijitTabHover .dijitTabInnerDiv {
   background-color: transparent;
   color: #ffffff;
 }
-/* line 55, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000355}}
+/* line 58, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000358}}
 .claro .dijitTabActive .dijitTabInnerDiv {
   color: #0072bc;
 }
-/* line 58, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000358}}
+/* line 61, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000361}}
 .claro .dijitTabChecked .dijitTabInnerDiv {
   background-color: transparent;
   color: #ffffff;
 }
-/* line 62, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000362}}
+/* line 65, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000365}}
 .claro .dijitTabContent {
   border: 1px solid #999999;
 }
-/* line 65, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000365}}
+/* line 68, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000368}}
 .claro .dijitTabHover .dijitTabContent {
   border-color: #ffffff;
 }
-/* line 68, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000368}}
+/* line 71, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000371}}
 .claro .dijitTabActive .dijitTabContent {
   border-color: transparent;
 }
-/* line 71, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000371}}
+/* line 74, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000374}}
 .claro .dijitTabChecked .dijitTabContent {
   color: #ffffff;
@@ -295,6 +300,6 @@
 }
 /*lefttabs*/
-/* line 76, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000376}}
+/* line 79, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000379}}
 .claro .dijitTabContainerLeft-tabs .dijitTab {
   border-width: 1px;
@@ -303,6 +308,6 @@
   margin-right: 8px;
 }
-/* line 82, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000382}}
+/* line 85, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000385}}
 .claro .dijitTabContainerLeft-tabs .dijitTabInnerDiv {
   border: none;
@@ -312,18 +317,18 @@
   background-repeat: no-repeat;
 }
-/* line 89, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000389}}
+/* line 92, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000392}}
 .claro .dijitTabContainerLeft-tabs .dijitTabContent {
   padding: 3px 8px 4px 8px;
   background-image: none;
 }
-/* line 94, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000394}}
+/* line 97, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000397}}
 .claro .dijitTabContainerLeft-tabs .dijitTabChecked .dijitTabContent {
   padding-right: 8px;
   background-image: none;
 }
-/* line 98, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\0000398}}
+/* line 101, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003101}}
 .claro .dijitTabContainerLeft-tabs .dijitTabChecked .dijitTabInnerDiv {
   -webkit-box-shadow: none;
@@ -331,6 +336,6 @@
   box-shadow: none;
 }
-/* line 103, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003103}}
+/* line 106, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003106}}
 .claro .dijitTabContainerLeft-tabs .dijitTabInnerDiv,
 .claro .dijitTabContainerLeft-tabs .dijitTabContent {
@@ -339,11 +344,16 @@
   border: none;
 }
-/* line 110, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003110}}
+/* line 113, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003113}}
+.claro .dojoDndAvatar {
+  color: #000000;
+}
+/* line 117, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003117}}
 .claro .dojoDndItemAnchor {
   background-color: #000000;
 }
-/* line 114, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
-@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003114}}
+/* line 121, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/dijit/overrides.less */
+@media -sass-debug-info{filename{font-family:file\:\/\/\/home\/hendrik\/gamelab\/qed\.svn\/Dev\/trunk\/src\/qed-client\/css\/dijit\/overrides\.less}line{font-family:\00003121}}
 .claro .dojoDndItemOver {
   background-color: #333333;
@@ -625,5 +635,5 @@
   font-family: 'Segoe UI', Helvetica, Verdana, Arial, sans-serif;
   font-size: 13px;
-  color: #111111;
+  color: #ffffff;
 }
 /* line 6, /home/hendrik/gamelab/qed.svn/Dev/trunk/src/qed-client/css/fonts.less */