Index: /Dev/trunk/src/index.html
===================================================================
--- /Dev/trunk/src/index.html	(revision 450)
+++ /Dev/trunk/src/index.html	(revision 451)
@@ -17,5 +17,4 @@
                     { name: "dijit", location: "dijit" },
                     { name: "dojox", location: "dojox" },
-                    { name: "qed", location: "qed" },
                     { name: "qed-client", location: "qed-client" }
                 ],
Index: /Dev/trunk/src/package.json
===================================================================
--- /Dev/trunk/src/package.json	(revision 450)
+++ /Dev/trunk/src/package.json	(revision 451)
@@ -1,10 +1,6 @@
 {
-  "name": "qed-application",
+  "name": "qed-full",
   "version": "0.0.1",
-  "description": "QED Application",
-  "dependencies": {
-    "simple-http-proxy": "~0.5.2",
-    "express": "~3.2.3"
-  },
+  "description": "QED Full",
   "devDependencies": {
     "grunt": "~0.4.0",
@@ -12,5 +8,4 @@
     "grunt-contrib-jshint": "~0.2.0",
     "grunt-htmlhint": "~0.4.0"
-  },
-  "dojoBuild": "qed.profile.js"
+  }
 }
Index: /Dev/trunk/src/qed-client/model/schema.js
===================================================================
--- /Dev/trunk/src/qed-client/model/schema.js	(revision 450)
+++ /Dev/trunk/src/qed-client/model/schema.js	(revision 451)
@@ -122,5 +122,5 @@
         startDate:datetime(optional()),
         endDate:datetime(optional()),
-        mode:{type:'string',enum:['open','closed'],optional:true},
+        mode:{type:'string','enum':['open','closed'],optional:true},
         metadata:string(optional())
     });
Index: /Dev/trunk/src/qed-client/package.json
===================================================================
--- /Dev/trunk/src/qed-client/package.json	(revision 450)
+++ /Dev/trunk/src/qed-client/package.json	(revision 451)
@@ -7,4 +7,5 @@
     "dijit": "~1.8.0",
     "dojox": "~1.8.0"
-  }
+  },
+  "dojoBuild": "qed-client.profile.js"
 }
Index: /Dev/trunk/src/qed-client/qed-client.profile.js
===================================================================
--- /Dev/trunk/src/qed-client/qed-client.profile.js	(revision 451)
+++ /Dev/trunk/src/qed-client/qed-client.profile.js	(revision 451)
@@ -0,0 +1,12 @@
+var profile = (function(){
+    return {
+        resourceTags: {
+            amd: function (filename, mid) {
+                return (/\.js$/).test(filename);
+            },
+            declarative: function (filename, mid) {
+                return (/\.html$/).test(filename);
+            }
+        }
+    };
+})();
Index: v/trunk/src/qed-client/qed.profile.js
===================================================================
--- /Dev/trunk/src/qed-client/qed.profile.js	(revision 450)
+++ 	(revision )
@@ -1,15 +1,0 @@
-var profile = (function(){
-    return {
-        resourceTags: {
-            amd: function (filename, mid) {
-                return (/\.js$/).test(filename);
-            },
-            declarative: function (filename, mid) {
-                return (/\.html$/).test(filename);
-            },
-            copyOnly: function(filename,mid) {
-                return false;
-            }
-        }
-    };
-})();
Index: /Dev/trunk/src/qed-server/config/couchdb/config/check.js
===================================================================
--- /Dev/trunk/src/qed-server/config/couchdb/config/check.js	(revision 450)
+++ /Dev/trunk/src/qed-server/config/couchdb/config/check.js	(revision 451)
@@ -3,7 +3,7 @@
      'dojo/_base/lang',
      'dojox/json/schema',
-     'qed/lib/async',
+     'qed-client/lib/async',
      './util/db',
-     'qed/model/schema'
+     'qed-client/model/schema'
 ],function(array,lang,jsonSchema,async,db,schema){
 
Index: /Dev/trunk/src/qed-server/package.json
===================================================================
--- /Dev/trunk/src/qed-server/package.json	(revision 450)
+++ /Dev/trunk/src/qed-server/package.json	(revision 451)
@@ -4,6 +4,8 @@
   "description": "QED Server",
   "dependencies": {
-    "dojo": "~1.8.0",
-    "dojox": "~1.8.0"
-  }
+    "simple-http-proxy": "~0.5.2",
+    "express": "~3.2.3",
+    "underscore": "~1.4.4"
+  },
+  "dojoBuild": "qed-server.profile.js"
 }
Index: /Dev/trunk/src/qed-server/server.js
===================================================================
--- /Dev/trunk/src/qed-server/server.js	(revision 450)
+++ /Dev/trunk/src/qed-server/server.js	(revision 451)
@@ -1,37 +1,34 @@
-define([
-    "dojo/_base/array",
-    "dojo/node!express",
-    "dojo/node!fs",
-    "dojo/node!https",
-    "dojo/node!path",
-    "dojo/node!simple-http-proxy"
-], function(array, express, fs, https, path, proxy) {
+var express = require("express");
+var fs = require("fs");
+var https = require("https");
+var path = require("path");
+var proxy = require("simple-http-proxy");
+var _ = require("underscore");
 
-    function staticFile(request, response) {
-        response.sendfile(__dirname+request.path);
-    }
+function staticFile(request, response) {
+    response.sendfile(__dirname+request.path);
+}
 
-    var __dirname = path.resolve('.');
-    
-    var httpsOptions = {
-        key: fs.readFileSync('qed-server.key'),
-        cert: fs.readFileSync('qed-server.pem')
-    };
-    
-    var app = express();
-    app.use(express.logger());
-    app.use(express.compress());
-    app.use(express.favicon());
-    app.get('/', function(request, response){
-        response.sendfile(__dirname+'/index.html');
-    });
-    app.get('/*.html', staticFile);
-    array.forEach(['/dojo', '/dijit', '/dojox', '/qed', '/qed-client'], function(dir){
-        app.use(dir, express.static(__dirname+dir));
-    });
-    app.use('/data/couch', proxy('http://localhost:5984/qed'));
+var __dirname = path.resolve('..');
 
-    var server = https.createServer(httpsOptions, app).listen(8443);
-    
-    console.log("Listening on https://localhost:8443/");
+var httpsOptions = {
+    key: fs.readFileSync(__dirname+'/qed-server.key'),
+    cert: fs.readFileSync(__dirname+'/qed-server.pem')
+};
+
+var app = express();
+app.use(express.logger());
+app.use(express.compress());
+app.use(express.favicon());
+app.get('/', function(request, response){
+    response.sendfile(__dirname+'/index.html');
 });
+app.get('/*.html', staticFile);
+_.foreach(['/dojo', '/dijit', '/dojox', '/qed', '/qed-client'], function(dir){
+    app.use(dir, express['static'](__dirname+dir));
+});
+app.use('/data/couch', proxy('http://localhost:5984/qed'));
+
+var server = https.createServer(httpsOptions, app).listen(8443);
+
+console.log("Listening on https://localhost:8443/");
Index: /Dev/trunk/src/response.html
===================================================================
--- /Dev/trunk/src/response.html	(revision 450)
+++ /Dev/trunk/src/response.html	(revision 451)
@@ -17,5 +17,4 @@
                     { name: "dijit", location: "dijit" },
                     { name: "dojox", location: "dojox" },
-                    { name: "qed", location: "qed" },
                     { name: "qed-client", location: "qed-client" }
                 ],
Index: v/trunk/src/server.js
===================================================================
--- /Dev/trunk/src/server.js	(revision 450)
+++ 	(revision )
@@ -1,16 +1,0 @@
-dojoConfig = {
-    baseUrl: ".",
-    async: true,
-    hasCache: {
-        "host-node": true,
-        "dom": false
-    },
-    packages: [
-        {name: "dojo", location: "dojo"},
-        {name: "qed", location: "qed"},
-        {name: "qed-server", location: "qed-server"}
-    ],
-    deps: [ "qed-server/server" ]
-};
-
-require("./dojo/dojo.js");